Subject: bug#25842: Re: bug#25842: 25.1; Mouse stops working after using Logitech mouse's minimize button

From: Robert Ross <[email-masked]>
Date: Tue, 6 Jul 2021 17:36:10 +0000

I installed the mingw-w64 version of gdb (8.1). I've been poking around looking around for how to capture mouse events but I'm not seeing anything obvious. Is this an easy thing to capture, or will it take some expertise? 

Robert Ross 
Principal Hardware Engineer
Controllers, Chassis, and Interfaces Domain 
+15126838530  |  ni.com

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Tuesday, July 6, 2021 10:57 AM
To: Robert Ross <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: [EXTERNAL] Re: bug#25842: 25.1; Mouse stops working after using Logitech mouse's minimize button

> From: Robert Ross <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>
> Date: Tue, 6 Jul 2021 15:24:10 +0000
> 
> I'm still seeing this on my latest install, 27.1 
> 	GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
> 	 of 2020-08-21

This kind of bug needs someone who can reproduce it run Emacs under GDB and see what kind of events this mouse sends to Emacs.  Or use some tool (not that I know of any off the top of my head) which will show the messages Windows sends to Emacs when clicking this mouse before and after the problem begins.  I don't see how can we make any progress here otherwise, sorry.